Review Response Rate Over Time
curl --request POST \
--url https://api.birdeye.com/resources/v1/review/report/response-rate/time/rate-over-time \
--header 'Content-Type: application/json' \
--data '
{
"reviewSites": [
2,
1,
110,
100
],
"ratings": [
"0",
"1",
"3",
"4",
"5"
],
"businessNumbers": [
172957184851864,
174436684666401
],
"startDate": "02/25/2025",
"endDate": "02/01/2026",
"comparisonFilter": {
"startDate": "01/01/2025",
"endDate": "01/10/2025"
}
}
'import requests
url = "https://api.birdeye.com/resources/v1/review/report/response-rate/time/rate-over-time"
payload = {
"reviewSites": [2, 1, 110, 100],
"ratings": ["0", "1", "3", "4", "5"],
"businessNumbers": [172957184851864, 174436684666401],
"startDate": "02/25/2025",
"endDate": "02/01/2026",
"comparisonFilter": {
"startDate": "01/01/2025",
"endDate": "01/10/2025"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
reviewSites: [2, 1, 110, 100],
ratings: ['0', '1', '3', '4', '5'],
businessNumbers: [172957184851864, 174436684666401],
startDate: '02/25/2025',
endDate: '02/01/2026',
comparisonFilter: {startDate: '01/01/2025', endDate: '01/10/2025'}
})
};
fetch('https://api.birdeye.com/resources/v1/review/report/response-rate/time/rate-over-time', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"summary": {
"actual": {
"totalCount": 94,
"avgRating": 4.2,
"responseRate": 5,
"unrespondedRate": 95,
"unrespondedCount": 89,
"respondedCount": 5,
"unrespondedCountGrowth": 89.4,
"respondedCountGrowth": 400,
"totalCountGrowth": 95.8,
"responseRateGrowth": 150
},
"compare": {
"totalCount": 48,
"avgRating": 4.1,
"responseRate": 2,
"unrespondedRate": 98,
"unrespondedCount": 47,
"respondedCount": 1
}
},
"dataPoints": [
{
"actual": {
"label": "Feb 24, 2025 - Mar 2, 2025",
"shortLabel": "Feb 24 - Mar 2 '25",
"totalCount": 0,
"startDate": "02/24/2025",
"endDate": "03/02/2025",
"responseRate": 0,
"unrespondedCount": 0,
"respondedCount": 0,
"respondedCountGrowth": 0,
"totalCountGrowth": 0,
"responseRateGrowth": 0
},
"compare": {
"label": "Mar 19, 2024 - Mar 24, 2024",
"shortLabel": "Mar 19 - Mar 24 '24",
"totalCount": 0,
"startDate": "03/19/2024",
"endDate": "03/24/2024",
"responseRate": 0,
"unrespondedCount": 0,
"respondedCount": 0
}
}
],
"dateDiff": 341,
"groupByType": "week",
"dataPresent": true
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 89,
"message": "Rate limit exceeded"
}Report
Review Response Rate Over Time
Review Response Rate Over Time API returns response-rate trends over time, with optional previous-period comparison.
POST
/
v1
/
review
/
report
/
response-rate
/
time
/
rate-over-time
Review Response Rate Over Time
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
e.g. [Required] Business number of the location.
Media type of the JSON request body.
⌘I